[关闭]
@natsumi 2015-03-16T13:27:45.000000Z 字数 887 阅读 2276

Ubuntu14.04源码安装wireshark-1.99.2

LTE ubuntu Wireshark


1. 安装的基本流程

参考wireshark官网上的User’s Guide
其实也不难~
解压后cd wireshark-1.99.2
$ ./configure
$ make
$ sudo make install
but./configure这步出了各种问题TAT
具体见2吧~
p.s. make这一步时间炒鸡炒鸡炒鸡长!耐心等着吧~
安装结束之后在wireshark-1.99.2目录下sudo wireshark就可以运行了~
此处输入图片的描述


2. ./configure中的问题

user's guide 里面说

The standard problems are that you do not have a required development package on your system or that the development package isn’t new enough. Note that installing a library package isn’t enough. You need to install its development package as well. configure will also fail if you do not have libpcap (at least the required include files) on your system.

所以就踏踏实实根据错误提示把该装的都装好吧~
装完再./configure

2.1 Qt is not available

所以就安装QT吧~$ sudo apt-get install libqt4-dev

2.2 GTK+ 3 is not available

安装GTK+3 $ sudo apt-get install libgtk-3-dev
或者根据Wireshark mailing list archives所写的也可以用gtk2 $ ./configure --with-gtk2,不过这个并没有亲测~

2.3 缺少libpcap

http://www.tcpdump.org/下载libpcap,解压。
$ ./configure
$ make
$ sudo make install

添加新批注
在作者公开此批注前,只有你和作者可见。
回复批注